%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  GTbasedIM
%global packver   1.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Game Theory-Based Influence Measures

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-CRAN-CoopGame 
BuildRequires:    R-CRAN-RWeka 
BuildRequires:    R-stats 
Requires:         R-CRAN-CoopGame 
Requires:         R-CRAN-RWeka 
Requires:         R-stats 

%description
Understanding how features influence a specific response variable becomes
crucial in classification problems, with applications ranging from medical
diagnosis to customer behavior analysis. This packages provides tools to
compute such an influence measure grounded on game theory concepts. In
particular, the influence measures presented in Davila-Pena,
Saavedra-Nieves, and Casas-Méndez (2024) <doi:10.48550/arXiv.2408.02481>
can be obtained.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
